Bug 1417610 - Please build nedit-5.6 for EPEL 6
Summary: Please build nedit-5.6 for EPEL 6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nedit
Version: el6
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Michael DePaulo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 12:15 UTC by Werner Hoelzl
Modified: 2018-04-18 14:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 14:14:54 UTC
Type: Bug


Attachments (Terms of Use)
nedit-5.6 SPEC file for EPEL 6 (9.71 KB, text/x-rpm-spec)
2017-01-30 12:15 UTC, Werner Hoelzl
no flags Details
Potential resource leak (1.43 KB, patch)
2017-02-03 14:40 UTC, Werner Hoelzl
no flags Details | Diff

Description Werner Hoelzl 2017-01-30 12:15:55 UTC
Created attachment 1245877 [details]
nedit-5.6 SPEC file for EPEL 6

nedit-5.6 is only available in EPEL 7.

nedit-5.6-2.el7.src.rpm builds for EPEL 6 with the attached nedit.spec

< BuildRequires: motif-devel, libXau-devel, libXpm-devel, libXmu-devel
> BuildRequires: openmotif-devel, libXau-devel, libXpm-devel, libXmu-devel

Comment 1 Werner Hoelzl 2017-02-03 14:38:20 UTC
Perhaps the attached patch could be included:
nedit-5.6-resource_leak.patch
(https://sourceforge.net/p/nedit/bugs/661/)

Comment 2 Werner Hoelzl 2017-02-03 14:40:00 UTC
Created attachment 1247458 [details]
Potential resource leak

See https://sourceforge.net/p/nedit/bugs/661/

Comment 3 Michael DePaulo 2017-02-04 11:52:52 UTC
I do not know C development all that well. Assuming this is a valid bug and this patch is the correct way to fix it, (my interpretation of) Fedora's policy is that I should wait until upstream accepts & merges it. In that upstream bug report, Bert Wesarg (a committer) reports "Looks reasonable. Thanks.", but I haven't seen it merged yet.

If you can, please help it get merged upstream, and/or reply back here when it does.

Comment 4 Werner Hoelzl 2017-02-06 19:03:41 UTC
The patch is included in the upcoming nedit-5.7
https://sourceforge.net/p/nedit/git/ci/b3d770756ab46efb571ea81eeca801a4b57a7ea9/

Comment 5 Michael DePaulo 2017-02-06 20:07:51 UTC
Great, I'll issue a test update when I get a chance.

Comment 6 Werner Hoelzl 2017-02-21 08:57:37 UTC
nedit 5.7 has been released on 8-Feb-17.
https://sourceforge.net/projects/nedit/files/nedit-source/nedit-5.7-src.tar.gz

Comment 7 Michael DePaulo 2017-03-13 12:50:54 UTC
I just released test updates for F24, F25 & F26, and an update for rawhide. I expect to release updates for epel6 & epel7 within a few days.

Comment 8 Michael DePaulo 2017-03-14 13:22:54 UTC
The 5.7-1 test update for epel6 is now available (along with the epel7 update):
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7c7b8d010


Note You need to log in before you can comment on or make changes to this bug.